package com.wd.workoffice.ui.activity.bat.work;

import android.view.View;
import android.widget.RelativeLayout;

import com.wd.workoffice.R;
import com.wd.workoffice.app.WorkToolBarActivity;

import butterknife.BindView;
import butterknife.ButterKnife;
import butterknife.OnClick;

/**
 * 设备
 * author : flexible
 * email : lgd19940421@163.com
 * github: https://github.com/FlexibleXd
 **/
public class DeviceActivity extends WorkToolBarActivity {


    @BindView(R.id.rl_device)
    RelativeLayout rlDevice;
    @BindView(R.id.rl_service)
    RelativeLayout rlService;
    @BindView(R.id.rl_buy)
    RelativeLayout rlBuy;

    @Override
    protected void initView() {
        ButterKnife.bind(this);
    }

    @Override
    protected void initData() {
    }

    @Override
    protected void initEvent() {
    }

    @Override
    protected int layoutId() {
        return R.layout.activity_work_device;
    }


    @OnClick({R.id.rl_device, R.id.rl_service, R.id.rl_buy})
    public void onViewClicked(View view) {
        switch (view.getId()) {
            case R.id.rl_device:
                startActivity(DeviceListActivity.class);
                break;
            case R.id.rl_service:
                startActivity(DeviceRepairActivity.class);
                break;
            case R.id.rl_buy:
                startActivity(DeviceBuyActivity.class);
                break;
        }
    }
}
